tvbrowser.extras.reminderplugin

## Class ReminderTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - tvbrowser.extras.reminderplugin.ReminderTableModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.table.TableModel

      public class ReminderTableModel
      extends javax.swing.table.AbstractTableModel

  The model for the reminder table.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReminderTableModel(ReminderList list, javax.swing.JComboBox titleFilterBox)` Creates an instance of this class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `getColumnClass(int c)`
    `int` | `getColumnCount()`
    `java.lang.String` | `getColumnName(int column)`
    `int` | `getRowCount()`
    `java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`
    `boolean` | `isCellEditable(int rowIndex, int columnIndex)`
    `void` | `setValueAt(java.lang.Object aValue, int rowIndex, int columnIndex)`
    `void` | `updateTableEntries()` Updates the entries of the reminder list table.

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReminderTableModel

          public ReminderTableModel(ReminderList list,
                            javax.swing.JComboBox titleFilterBox)

      Creates an instance of this class.

      Parameters:
        `list` - The list with the reminders.
        `titleFilterBox` - The title filter selection combo box.

  - ### Method Detail

    - #### updateTableEntries

          public void updateTableEntries()

      Updates the entries of the reminder list table.
      Since:
        2.7.2

    - #### getColumnName

          public java.lang.String getColumnName(int column)

      Specified by:
        `getColumnName` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnName` in class `javax.swing.table.AbstractTableModel`

    - #### getRowCount

          public int getRowCount()

    - #### getColumnCount

          public int getColumnCount()

    - #### getValueAt

          public java.lang.Object getValueAt(int rowIndex,
                                    int columnIndex)

    - #### isCellEditable

          public boolean isCellEditable(int rowIndex,
                               int columnIndex)

      Specified by:
        `isCellEditable` in interface `javax.swing.table.TableModel`
      Overrides:
        `isCellEditable` in class `javax.swing.table.AbstractTableModel`

    - #### setValueAt

          public void setValueAt(java.lang.Object aValue,
                        int rowIndex,
                        int columnIndex)

      Specified by:
        `setValueAt` in interface `javax.swing.table.TableModel`
      Overrides:
        `setValueAt` in class `javax.swing.table.AbstractTableModel`

    - #### getColumnClass

          public java.lang.Class<?> getColumnClass(int c)

      Specified by:
        `getColumnClass` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnClass` in class `javax.swing.table.AbstractTableModel`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)